The XML GUI Engine

Switching from SwiXml
Project on Sourceforge

You can either download SwixNG from one of the Sourceforge mirrors, or get the latest sources from anonymous CVS.

You will need JDK 1.5 to work with SwixNG. Eclipse 3.1M4 or later can be used to compile and run SwixNG most conveniently. For instructions on using Ant 1.6.2 or later with SwixNG, see the README file contained in the source distributions.


This is a list of releases available so far:
SwixNG 2.0 (2005-02-11)
SwixNG 1.0-d (2005-01-06)

CVS access

You can get the latest development sources via anonymous CVS at

or browse the CVS here. Logo
SwixNG (c) 2004 Michael Klaus
All trademarks are property of their respective owners.